# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KShortcutDialog Class Reference

Dialog for configuring a shortcut. More...

`#include <kshortcutdialog.h>`

Inheritance diagram for KShortcutDialog:

[legend]
Collaboration diagram for KShortcutDialog:

[legend]
List of all members.

## Public Member Functions

| KShortcutDialog (const KShortcut &shortcut, bool bQtShortcut, QWidget *parent=0, const char *name=0)
void | setShortcut (const KShortcut &shortcut)
const KShortcut & | shortcut () const

## Protected Slots

void | slotDetails ()
void | slotSelectPrimary ()
void | slotSelectAlternate ()
void | slotClearShortcut ()
void | slotClearPrimary ()
void | slotClearAlternate ()
void | slotMultiKeyMode (bool bOn)

## Detailed Description

Dialog for configuring a shortcut.

This dialog allows configuring a single KShortcut. KKeyDialog should be usually used instead.

Definition at line 41 of file kshortcutdialog.h.

## Member Function Documentation

void KShortcutDialog::slotDetails | ( |  | ) | `[protected, virtual, slot]`

Activated when the Details button has been clicked.

See also:
  detailsClicked(bool)

Reimplemented from KDialogBase.

Definition at line 193 of file kshortcutdialog.cpp.

The documentation for this class was generated from the following files:

- kshortcutdialog.h
- kshortcutdialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:06 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003